spring.profiles.active=dev
spring.application.name=growth-manager

spring.main.allow-bean-definition-overriding=true

eureka.instance.prefer-ip-address=true
eureka.instance.instance-id=${spring.cloud.client.ip-address}:${spring.application.name}:${server.port}
eureka.instance.lease-renewal-interval-in-seconds=30
eureka.instance.lease-expiration-duration-in-seconds=90
eureka.client.registry-fetch-interval-seconds=5

spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.initialSize=5
spring.datasource.maxActive=20
spring.datasource.maxWait=60000
spring.datasource.timeBetweenEvictionRunsMillis=60000
spring.datasource.minEvictableIdleTimeMillis=300000
spring.datasource.validationQuery=SELECT 1 FROM DUAL
spring.datasource.testWhileIdle=true
spring.datasource.testOnBorrow=false
spring.datasource.testOnReturn=false
spring.datasource.poolPreparedStatements=true

spring.redis.lettuce.pool.max-active=8
spring.redis.lettuce.pool.max-wait=-1
spring.redis.lettuce.pool.max-idle=8
spring.redis.lettuce.pool.min-idle=0

spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB

datalog=/datalog

xxl.job.accessToken=
xxl.job.executor.appname=${spring.application.name}
xxl.job.executor.address=
xxl.job.executor.ip=
xxl.job.executor.port=9999
xxl.job.executor.logpath=${datalog}/xxl-job/
xxl.job.executor.logretentiondays=30

rocketmq.accessKey=LTAI4G7puhXtLyHzHQpD6H7A
rocketmq.secretKey=nEbq3xWNQd1qLpdy2u71qFweHkZjSG
rocketmq.nameSrvAddr=http://MQ_INST_1894469520484605_BXhXuzkZ.mq-internet-access.mq-internet.aliyuncs.com:80

app.id=growth-manager
apollo.bootstrap.enabled=true
apollo.bootstrap.namespaces=application
apollo.cacheDir=/datalog/apollo-cache-dir

logging.file.path=./${spring.application.name}/logs/
aliyun.log.endpoint=cn-hangzhou.log.aliyuncs.com
aliyun.log.accessKeyId=LTAIP6x1l3DXfSxm
aliyun.log.accessKeySecret=KbTaM9ars4OX3PMS6Xm7rtxGr1FLon
aliyun.log.logstore.info=info-log
aliyun.log.logstore.error=error-log


author.interceptor.excludePaths[0]=/swagger
author.interceptor.excludePaths[1]=/api-docs/
author.interceptor.excludePaths[2]=/swagger-resources
author.interceptor.excludePaths[3]=/account/
author.interceptor.excludePaths[4]=/cgi/
author.interceptor.excludePaths[5]=/wecom/
author.interceptor.excludePaths[6]=/3rdParty/
author.interceptor.excludePaths[7]=/contentPlatform/account/
author.interceptor.excludePaths[8]=/webjars/
author.interceptor.excludePaths[9]=/swagger-ui.html/
author.interceptor.excludeUris[0]=/login
author.interceptor.excludeUris[1]=/api-docs
author.interceptor.excludeUris[2]=/swagger-ui.html
author.interceptor.excludeUris[3]=/error
author.interceptor.excludeUris[4]=/csrf

oss.growth.accessKey=LTAIP6x1l3DXfSxm
oss.growth.secretKey=KbTaM9ars4OX3PMS6Xm7rtxGr1FLon
oss.growth.ossEndPoint=oss-cn-hangzhou.aliyuncs.com
oss.growth.videoEndPoint=slicevideo.yishihui.com
oss.growth.expiration=3600
oss.growth.projectName=growth
oss.growth.cdnDomain=http://rescdn.yishihui.com/
oss.growth.imgDomain=http://rescdn.yishihui.com/
oss.growth.videoDomain=http://rescdn.yishihui.com/
oss.growth.lvvideoDomain=https://lvupload.piaoquantv.com/
oss.growth.pubBucket=public:art-pubbucket,publicVideo:art-pubbucket
oss.growth.priBucket=private:art-pribucket,privateVideo:art-privideo,privateVideoIn:art-privideo-in
oss.growth.priEndPoint=pricdn.yishihui.com
oss.growth.needPress=true
oss.growth.internal.endPoint=oss-cn-hangzhou.aliyuncs.com
cdn.upload.domain=https://weappupload.piaoquantv.com/
oss.longvideo.video.sts.endpoint=sts.cn-hangzhou.aliyuncs.com
oss.longvideo.video.sts.accessKeyId=LTAIfZYdxeQpq3YI
oss.longvideo.video.sts.accessKeySecret=1yISVWe5Gws2VAdTMc9XWIHpjPd7ja
oss.longvideo.video.sts.roleArn=acs:ram::1894469520484605:role/oss-sts
oss.longvideo.video.sts.roleSessionName=session-name
ossaccelerate.upload.domain=https://ossaccelerateupload.piaoquantv.com/
oss.video.bucket=art-pubbucket